io.etcd.jetcd.api

## Class Role.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<Role.Builder>
      - - io.etcd.jetcd.api.Role.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, RoleOrBuilder, Cloneable

Enclosing class:
  Role

    public static final class Role.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<Role.Builder>
    implements RoleOrBuilder

     Role is a single entry in the bucket authRoles

Protobuf type `authpb.Role`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Role.Builder` `addAllKeyPermission(Iterable<? extends Permission> values)` `repeated .authpb.Permission keyPermission = 2;`
`Role.Builder` `addKeyPermission(int index, Permission.Builder builderForValue)` `repeated .authpb.Permission keyPermission = 2;`
`Role.Builder` `addKeyPermission(int index, Permission value)` `repeated .authpb.Permission keyPermission = 2;`
`Role.Builder` `addKeyPermission(Permission.Builder builderForValue)` `repeated .authpb.Permission keyPermission = 2;`
`Role.Builder` `addKeyPermission(Permission value)` `repeated .authpb.Permission keyPermission = 2;`
`Permission.Builder` `addKeyPermissionBuilder()` `repeated .authpb.Permission keyPermission = 2;`
`Permission.Builder` `addKeyPermissionBuilder(int index)` `repeated .authpb.Permission keyPermission = 2;`
`Role.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Role` `build()`
`Role` `buildPartial()`
`Role.Builder` `clear()`
`Role.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`Role.Builder` `clearKeyPermission()` `repeated .authpb.Permission keyPermission = 2;`
`Role.Builder` `clearName()` `bytes name = 1;`
`Role.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`Role.Builder` `clone()`
`Role` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`Permission` `getKeyPermission(int index)` `repeated .authpb.Permission keyPermission = 2;`
`Permission.Builder` `getKeyPermissionBuilder(int index)` `repeated .authpb.Permission keyPermission = 2;`
`List<Permission.Builder>` `getKeyPermissionBuilderList()` `repeated .authpb.Permission keyPermission = 2;`
`int` `getKeyPermissionCount()` `repeated .authpb.Permission keyPermission = 2;`
`List<Permission>` `getKeyPermissionList()` `repeated .authpb.Permission keyPermission = 2;`
`PermissionOrBuilder` `getKeyPermissionOrBuilder(int index)` `repeated .authpb.Permission keyPermission = 2;`
`List<? extends PermissionOrBuilder>` `getKeyPermissionOrBuilderList()` `repeated .authpb.Permission keyPermission = 2;`
`com.google.protobuf.ByteString` `getName()` `bytes name = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`Role.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`Role.Builder` `mergeFrom(com.google.protobuf.Message other)`
`Role.Builder` `mergeFrom(Role other)`
`Role.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`Role.Builder` `removeKeyPermission(int index)` `repeated .authpb.Permission keyPermission = 2;`
`Role.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Role.Builder` `setKeyPermission(int index, Permission.Builder builderForValue)` `repeated .authpb.Permission keyPermission = 2;`
`Role.Builder` `setKeyPermission(int index, Permission value)` `repeated .authpb.Permission keyPermission = 2;`
`Role.Builder` `setName(com.google.protobuf.ByteString value)` `bytes name = 1;`
`Role.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`Role.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<Role.Builder>`

#### clear

    public Role.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<Role.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<Role.Builder>`

#### getDefaultInstanceForType

    public Role getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public Role build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public Role buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public Role.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<Role.Builder>`

#### setField

    public Role.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                 Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Role.Builder>`

#### clearField

    public Role.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Role.Builder>`

#### clearOneof

    public Role.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<Role.Builder>`

#### setRepeatedField

    public Role.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                         int index,
                                         Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Role.Builder>`

#### addRepeatedField

    public Role.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                         Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Role.Builder>`

#### mergeFrom

    public Role.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Role.Builder>`

#### mergeFrom

    public Role.Builder mergeFrom(Role other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<Role.Builder>`

#### mergeFrom

    public Role.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                  com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                           throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Role.Builder>`
Throws:
  `IOException`

#### getName

    public com.google.protobuf.ByteString getName()

`bytes name = 1;`

Specified by:
  `getName` in interface `RoleOrBuilder`
Returns:
  The name.

#### setName

    public Role.Builder setName(com.google.protobuf.ByteString value)

`bytes name = 1;`

Parameters:
  `value` - The name to set.
Returns:
  This builder for chaining.

#### clearName

    public Role.Builder clearName()

`bytes name = 1;`

Returns:
  This builder for chaining.

#### getKeyPermissionList

    public List<Permission> getKeyPermissionList()

`repeated .authpb.Permission keyPermission = 2;`

Specified by:
  `getKeyPermissionList` in interface `RoleOrBuilder`

#### getKeyPermissionCount

    public int getKeyPermissionCount()

`repeated .authpb.Permission keyPermission = 2;`

Specified by:
  `getKeyPermissionCount` in interface `RoleOrBuilder`

#### getKeyPermission

    public Permission getKeyPermission(int index)

`repeated .authpb.Permission keyPermission = 2;`

Specified by:
  `getKeyPermission` in interface `RoleOrBuilder`

#### setKeyPermission

    public Role.Builder setKeyPermission(int index,
                                         Permission value)

`repeated .authpb.Permission keyPermission = 2;`

#### setKeyPermission

    public Role.Builder setKeyPermission(int index,
                                         Permission.Builder builderForValue)

`repeated .authpb.Permission keyPermission = 2;`

#### addKeyPermission

    public Role.Builder addKeyPermission(Permission value)

`repeated .authpb.Permission keyPermission = 2;`

#### addKeyPermission

    public Role.Builder addKeyPermission(int index,
                                         Permission value)

`repeated .authpb.Permission keyPermission = 2;`

#### addKeyPermission

    public Role.Builder addKeyPermission(Permission.Builder builderForValue)

`repeated .authpb.Permission keyPermission = 2;`

#### addKeyPermission

    public Role.Builder addKeyPermission(int index,
                                         Permission.Builder builderForValue)

`repeated .authpb.Permission keyPermission = 2;`

#### addAllKeyPermission

    public Role.Builder addAllKeyPermission(Iterable<? extends Permission> values)

`repeated .authpb.Permission keyPermission = 2;`

#### clearKeyPermission

    public Role.Builder clearKeyPermission()

`repeated .authpb.Permission keyPermission = 2;`

#### removeKeyPermission

    public Role.Builder removeKeyPermission(int index)

`repeated .authpb.Permission keyPermission = 2;`

#### getKeyPermissionBuilder

    public Permission.Builder getKeyPermissionBuilder(int index)

`repeated .authpb.Permission keyPermission = 2;`

#### getKeyPermissionOrBuilder

    public PermissionOrBuilder getKeyPermissionOrBuilder(int index)

`repeated .authpb.Permission keyPermission = 2;`

Specified by:
  `getKeyPermissionOrBuilder` in interface `RoleOrBuilder`

#### getKeyPermissionOrBuilderList

    public List<? extends PermissionOrBuilder> getKeyPermissionOrBuilderList()

`repeated .authpb.Permission keyPermission = 2;`

Specified by:
  `getKeyPermissionOrBuilderList` in interface `RoleOrBuilder`

#### addKeyPermissionBuilder

    public Permission.Builder addKeyPermissionBuilder()

`repeated .authpb.Permission keyPermission = 2;`

#### addKeyPermissionBuilder

    public Permission.Builder addKeyPermissionBuilder(int index)

`repeated .authpb.Permission keyPermission = 2;`

#### getKeyPermissionBuilderList

    public List<Permission.Builder> getKeyPermissionBuilderList()

`repeated .authpb.Permission keyPermission = 2;`

#### setUnknownFields

    public final Role.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Role.Builder>`

#### mergeUnknownFields

    public final Role.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Role.Builder>`